curl -X POST "https://api.finscreener.in/api/watchlist" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "Target Companies",
"watchlist_type": "company",
"entities": [
{"identifier": "U72200MH2004PTC148441", "name": "TCS Limited"},
{"identifier": "L17110MH1973PLC019786", "name": "Reliance Industries"}
]
}'
{
"data": {
"id": "wl_789",
"name": "Target Companies",
"type": "company",
"count": 2,
"created_at": "2026-02-04T12:00:00Z"
}
}
Watchlist
Create Watchlist
Create a new watchlist
POST
/
api
/
watchlist
curl -X POST "https://api.finscreener.in/api/watchlist" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "Target Companies",
"watchlist_type": "company",
"entities": [
{"identifier": "U72200MH2004PTC148441", "name": "TCS Limited"},
{"identifier": "L17110MH1973PLC019786", "name": "Reliance Industries"}
]
}'
{
"data": {
"id": "wl_789",
"name": "Target Companies",
"type": "company",
"count": 2,
"created_at": "2026-02-04T12:00:00Z"
}
}
Create a new watchlist to track companies, directors, or GST registrations.
Headers
string
required
Bearer token:
Bearer <access_token>Request Body
string
required
Watchlist name
string
required
Entity type:
company, director, or gstarray
curl -X POST "https://api.finscreener.in/api/watchlist" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "Target Companies",
"watchlist_type": "company",
"entities": [
{"identifier": "U72200MH2004PTC148441", "name": "TCS Limited"},
{"identifier": "L17110MH1973PLC019786", "name": "Reliance Industries"}
]
}'
{
"data": {
"id": "wl_789",
"name": "Target Companies",
"type": "company",
"count": 2,
"created_at": "2026-02-04T12:00:00Z"
}
}